/*
* JBoss, Home of Professional Open Source
* Copyright 2006, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/
package org.jboss.deployers.plugins.structure.vfs.jar;

import org.jboss.deployers.plugins.structure.vfs.AbstractCandidateStructureVisitor;
import org.jboss.deployers.spi.structure.vfs.StructureMetaData;
import org.jboss.deployers.spi.structure.vfs.StructuredDeployers;
import org.jboss.virtual.VirtualFile;
import org.jboss.virtual.VisitorAttributes;

/**
 * Creates the candidates according to the jar structure
 * 
 * @author <a href="adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 1.1 $
 */
public class JARCandidateStructureVisitor extends AbstractCandidateStructureVisitor
{
   /**
    * Create a new JARCandidateStructureVisitor.
    * 
    * @param parent the parent
    * @param attributes the attributes
    * @throws IllegalArgumentException for a null parent
    * @throws Exception for any error
    */
   public JARCandidateStructureVisitor(VirtualFile parent, StructureMetaData metaData, StructuredDeployers deployers,
         VisitorAttributes attributes) throws Exception
   {
      super(parent, metaData, deployers, attributes);
   }
}
